type: prog

uuid: 67f7a7c3-6f11-4d0d-a266-ea6c5fa81a78

titre: Nombre majuscules & minuscules

niveau: intermédiaire

objectif: Déterminer le nombre de lettres alphabétiques en majuscules et celles en minuscules dans un texte

énoncé: |
  On souhaite compter le __nombre__ de lettres alphabétiques qui sont en __majuscules__, ainsi que le __nombre__ de lettres alphabétiques qui sont en __minuscules__ dans le texte d'une `adresse` reçu en entrée.

  ### Entrée

  - `adresse` (chaine de caractères)

  ### Sortie attendue

  le __nombre de lettres majuscules__ et le __nombre de lettres minuscules__ (nombres entiers)


  ### À faire

  Compléter le code pour produire en sortie le __nombre de lettres en majuscules__ suivi par le __nombre de lettres en minuscules__, chacun sur une ligne.

  ### Exemples

  1. Adresse sans majuscule

   - Entrées :
  ```
      123 des grandes prairies

  ```

   - Sortie attendue :

  ```
      0
      18

  ```

  2. Adresse avec majuscules

   - Entrées :
  ```
      20 Rue Des Écores

  ```

   - Sortie attendue :
  ```
      3
      9

  ```

ébauches:
    python: !include exec.py
    java: !include exec.java
    kotlin: !include exec.kt


rétroactions:
    positive: Bravo !
    négative: Parcourir la chaine en utilisant des compteurs,  pour compter les caractères demandés dans une structure sélective avec les fonctions appropriées

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA

